commit 0cf293649b6c495249854133159ef66bf9c43904
Author: H.J. Lu <hjl.tools@gmail.com>
Date:   Thu Jul 23 19:14:06 2020 -0700

    Restrict PR middle-end/95886 x86 test to !ia32
    
    Since gcc.target/i386/memcpy-pr95886.c requires 64-bit register, restrict
    it to !ia32.
    
            PR middle-end/95886
            * gcc.target/i386/memcpy-pr95886.c: Restrict test to !ia32.
    
    (cherry picked from commit b0e5ec934e7a7473275326e2aee58eaf252cdff1)

diff --git a/gcc/testsuite/gcc.target/i386/memcpy-pr95886.c b/gcc/testsuite/gcc.target/i386/memcpy-pr95886.c
index ddfdfd2bc78..0699146296a 100644
--- a/gcc/testsuite/gcc.target/i386/memcpy-pr95886.c
+++ b/gcc/testsuite/gcc.target/i386/memcpy-pr95886.c
@@ -1,7 +1,6 @@
 /* PR middle-end/95886 - suboptimal memcpy with embedded zero bytes
-   { dg-do compile }
-   { dg-options "-O2 -Wall -fdump-rtl-expand" }
-   { dg-require-effective-target lp64 } */
+   { dg-do compile { target { ! ia32 } } }
+   { dg-options "-O2 -Wall -fdump-rtl-expand" } */
 
 const char a1234567890[10] = { 1, 2, 3, 4, 5, 6, 7, 8, 9 };
 

